<div class="container">
    <h4 class="subtitle is-4 has-text-centered">
        Please register to continue
    </h4>
    <div *ngIf="!showRegisterForm">
        <firebase-ui></firebase-ui>
        <h4 id="orDivider" class="subtitle is-4 has-text-centered">
            <span>OR</span>
        </h4>

        <h1 class="subtitle is-1 has-text-centered">
            <a class="button is-link" (click)="showRegisterForm=true">
                REGISTER WITH YOUR EMAIL
            </a>
        </h1>
    </div>

    <div *ngIf="showRegisterForm" class="column is-half is-offset-one-quarter">
        <form (ngSubmit)="registerUser()" #registerForm="ngForm">
            <div class="field">
                <div class="label">Username</div>
                <div class="control">
                    <input type="text"
                    #usernameInput="ngModel"
                    [class.is-success]="usernameInput.valid"
                    class="input"
                    minlength="1"
                    required
                    [(ngModel)]="username" name="username">
                </div>
                <p *ngIf="!usernameInput.valid" class="help is-danger">Username is required</p>
            </div>

            <div class="field">
                <div class="label">Email</div>
                <div class="control">
                    <input type="email"
                    #emailInput="ngModel"
                    [class.is-success]="emailInput.valid"
                    class="input"
                    required
                    email
                    [(ngModel)]="email" name="email">
                </div>
                <p *ngIf="!emailInput.valid" class="help is-danger">Valid email address is required</p>
            </div>

            <div class="field">
                <div class="label">Password</div>
                <div class="control">
                    <input type="password"
                    #passwordInput="ngModel"
                    [class.is-success]="(passwordInput.valid && (password === passwordCheck))"
                    class="input"
                    required
                    [(ngModel)]="password" name="password">
                </div>
                <p *ngIf="!(passwordInput.valid && (password === passwordCheck))" class="help is-danger">Passwords doesn't match</p>
            </div>

            <div class="field">
                <div class="label">Confirm Password</div>
                <div class="control">
                    <input type="password"
                    #passwordCheckInput="ngModel"
                    [class.is-success]="(passwordCheckInput.valid && (password === passwordCheck))"
                    class="input"
                    required
                    [(ngModel)]="passwordCheck" name="passwordCheck">
                </div>
                <p *ngIf="!(passwordCheckInput.valid && (password === passwordCheck))" class="help is-danger">Passwords doesn't match</p>
            </div>

            <div class="field">
                <alert></alert>
            </div>
            <div *ngIf="!loading" class="field">
                <button type="submit"
                [disabled]="!registerForm.form.valid"
                class="button is-primary">
                    REGISTER
                </button>
                <button class="button is-outlined is-primary" (click)="showRegisterForm=false; registerForm.reset();">
                    BACK
                </button>
            </div>
            <div *ngIf="loading" class="field has-text-centered">
                <span class="icon">
                    <i class="spinner fa fa-circle-o-notch fa-spin" aria-hidden="true"></i>
                </span>
            </div>
        </form>
    </div>
</div>

